Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## editor.model
Class BasicGameLocation

    java.lang.Object
      editor.model.BasicGameLocation

    public class BasicGameLocation

extends java.lang.Object

This class will be used by the gui to store basic information about a a game location created with the editor

Author:
  Frank Bruns

Constructor Summary
`BasicGameLocation(java.lang.String fileName, java.lang.String name, java.lang.String bshName, java.lang.String scriptFile, java.lang.String bgImgFile, java.lang.String bgMusicFile)`

Method Summary
`java.lang.String` | `getBGImageFileName()` Returns the file name of the background image of the game location
`java.lang.String` | `getLocationBshName()` Return the beanshell name for the game location
`java.lang.String` | `getLocationFileName()` Returns the file name for the game location's xml file
`java.lang.String` | `getLocationName()` Return the name for game location
`java.lang.String` | `getMusicFileName()` Returns the file name of the music file for the game location
`java.lang.String` | `getScriptFileName()` Returns the script file name for the game location

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicGameLocation

    public BasicGameLocation(java.lang.String fileName,
                             java.lang.String name,
                             java.lang.String bshName,
                             java.lang.String scriptFile,
                             java.lang.String bgImgFile,
                             java.lang.String bgMusicFile)

Method Detail

### getLocationFileName

    public java.lang.String getLocationFileName()

  Returns the file name for the game location's xml file

  Returns:
    file name for the xml file

### getLocationName

    public java.lang.String getLocationName()

  Return the name for game location

  Returns:
    name for game location

### getLocationBshName

    public java.lang.String getLocationBshName()

  Return the beanshell name for the game location

  Returns:
    beanshell name for the game location

### getScriptFileName

    public java.lang.String getScriptFileName()

  Returns the script file name for the game location

  Returns:
    script file name for the game location

### getBGImageFileName

    public java.lang.String getBGImageFileName()

  Returns the file name of the background image of the game location

  Returns:
    file name of the background image

### getMusicFileName

    public java.lang.String getMusicFileName()

  Returns the file name of the music file for the game location

  Returns:
    file name of the music file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD